import pickle
import os
import argparse

def main(args):
    with open(args.feedback_path, "rb") as f:
        file = pickle.load(f)
    value_list = [i for i in file.values()]
    count = [value_list.count(i) for i in range(2)]
    count.append(len(value_list))
    print("label 0 : ", count[0])
    print("label 1 : ", count[1])
    print("total feedback count :", count[2])

if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument("--feedback_path", type=str, help="")

    args = parser.parse_args()
    main(args)